Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Message.Type

    java.lang.Object
      java.lang.Enum<Message.Type>
          com.skype.api.Message.Type

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Message.Type>

Enclosing class:
  Message

    public static enum Message.Type

extends java.lang.Enum<Message.Type>
implements EnumConverting

The P_TYPE property determines the actual meaning of the Message object. Only Messages of POSTED_TEXT type contain actual text messages. The meaning and content of the rest of the message properties are largely dependant of the value of the Message.P_TYPE.

Enum Constant Summary
`ADDED_APPLICANTS` Some users are applying to be added to the conference
`ADDED_CONSUMERS` Some users were added to the conference
`BLOCKED` User was blocked
`ENDED_LIVE_SESSION` A live session ended
`GRANTED_AUTH` User was granted authorization.
`HAS_BIRTHDAY` The message represents a Contact birthday notification.
`POSTED_ALERT` Deprecated, never sent
`POSTED_CONTACTS` The message represents (a set of) contact card(s) posted in the conversation.
`POSTED_EMOTE` An emote ('John Doe is laughing', cf /me chat command)
`POSTED_FILES` The message represents a (list of) file transfers that were posted in the Conversation with Conversation.PostFiles.
`POSTED_INVOICE` Currently unused.
`POSTED_SMS` The message represents an SMS object that was posted in the Conversation.
`POSTED_TEXT` A text message
`POSTED_VOICE_MESSAGE` A voicemail
`REQUESTED_AUTH` User requested authorization
`RETIRED` User left the conference
`RETIRED_OTHERS` User was kicked from the conference
`SET_METADATA` Conference metadata were changed
`SET_RANK` Changed the rank of a user in the Conversation (multichat administration)
`SPAWNED_CONFERENCE` A conference was spawned from this dialog
`STARTED_LIVE_SESSION` A live session started

Field Summary
`static int` | `ADDED_APPLICANTS_VALUE`
`static int` | `ADDED_CONSUMERS_VALUE`
`static int` | `BLOCKED_VALUE`
`static int` | `ENDED_LIVE_SESSION_VALUE`
`static int` | `GRANTED_AUTH_VALUE`
`static int` | `HAS_BIRTHDAY_VALUE`
`static int` | `POSTED_ALERT_VALUE`
`static int` | `POSTED_CONTACTS_VALUE`
`static int` | `POSTED_EMOTE_VALUE`
`static int` | `POSTED_FILES_VALUE`
`static int` | `POSTED_INVOICE_VALUE`
`static int` | `POSTED_SMS_VALUE`
`static int` | `POSTED_TEXT_VALUE`
`static int` | `POSTED_VOICE_MESSAGE_VALUE`
`static int` | `REQUESTED_AUTH_VALUE`
`static int` | `RETIRED_OTHERS_VALUE`
`static int` | `RETIRED_VALUE`
`static int` | `SET_METADATA_VALUE`
`static int` | `SET_RANK_VALUE`
`static int` | `SPAWNED_CONFERENCE_VALUE`
`static int` | `STARTED_LIVE_SESSION_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Message.Type` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Message.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Message.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SET_METADATA

    public static final Message.Type SET_METADATA

  Conference metadata were changed

### SPAWNED_CONFERENCE

    public static final Message.Type SPAWNED_CONFERENCE

  A conference was spawned from this dialog

### ADDED_CONSUMERS

    public static final Message.Type ADDED_CONSUMERS

  Some users were added to the conference

### ADDED_APPLICANTS

    public static final Message.Type ADDED_APPLICANTS

  Some users are applying to be added to the conference

### RETIRED_OTHERS

    public static final Message.Type RETIRED_OTHERS

  User was kicked from the conference

### RETIRED

    public static final Message.Type RETIRED

  User left the conference

### SET_RANK

    public static final Message.Type SET_RANK

  Changed the rank of a user in the Conversation (multichat administration)

### STARTED_LIVE_SESSION

    public static final Message.Type STARTED_LIVE_SESSION

  A live session started

### ENDED_LIVE_SESSION

    public static final Message.Type ENDED_LIVE_SESSION

  A live session ended

### REQUESTED_AUTH

    public static final Message.Type REQUESTED_AUTH

  User requested authorization

### GRANTED_AUTH

    public static final Message.Type GRANTED_AUTH

  User was granted authorization. Notification message that user is now an authorized contact (of the local user).

### BLOCKED

    public static final Message.Type BLOCKED

  User was blocked

### POSTED_TEXT

    public static final Message.Type POSTED_TEXT

  A text message

### POSTED_EMOTE

    public static final Message.Type POSTED_EMOTE

  An emote ('John Doe is laughing', cf /me chat command)

### POSTED_CONTACTS

    public static final Message.Type POSTED_CONTACTS

  The message represents (a set of) contact card(s) posted in the conversation. One message can contain more than one contact cards. The contacts can be retrieved from the message by parsing them out from the P_BODY_XML property. For more information, see Conversation.PostContacts

### POSTED_SMS

    public static final Message.Type POSTED_SMS

  The message represents an SMS object that was posted in the Conversation. See Conversation.PostSMS for more details. The Sms object itself can be retrieved from the Message with Message.GetSms The message BODY_XML contains a set of SMS properties, such as status, failurereason, targets, price and timestamp.

### POSTED_ALERT

    public static final Message.Type POSTED_ALERT

  Deprecated, never sent

### POSTED_VOICE_MESSAGE

    public static final Message.Type POSTED_VOICE_MESSAGE

  A voicemail

### POSTED_FILES

    public static final Message.Type POSTED_FILES

  The message represents a (list of) file transfers that were posted in the Conversation with Conversation.PostFiles. Transfer objects can be retrieved from the Message with Message.GetTransfers

### POSTED_INVOICE

    public static final Message.Type POSTED_INVOICE

  Currently unused.

### HAS_BIRTHDAY

    public static final Message.Type HAS_BIRTHDAY

  The message represents a Contact birthday notification.

Field Detail

### SET_METADATA_VALUE

    public static final int SET_METADATA_VALUE

See Also:
  Constant Field Values

### SPAWNED_CONFERENCE_VALUE

    public static final int SPAWNED_CONFERENCE_VALUE

See Also:
  Constant Field Values

### ADDED_CONSUMERS_VALUE

    public static final int ADDED_CONSUMERS_VALUE

See Also:
  Constant Field Values

### ADDED_APPLICANTS_VALUE

    public static final int ADDED_APPLICANTS_VALUE

See Also:
  Constant Field Values

### RETIRED_OTHERS_VALUE

    public static final int RETIRED_OTHERS_VALUE

See Also:
  Constant Field Values

### RETIRED_VALUE

    public static final int RETIRED_VALUE

See Also:
  Constant Field Values

### SET_RANK_VALUE

    public static final int SET_RANK_VALUE

See Also:
  Constant Field Values

### STARTED_LIVE_SESSION_VALUE

    public static final int STARTED_LIVE_SESSION_VALUE

See Also:
  Constant Field Values

### ENDED_LIVE_SESSION_VALUE

    public static final int ENDED_LIVE_SESSION_VALUE

See Also:
  Constant Field Values

### REQUESTED_AUTH_VALUE

    public static final int REQUESTED_AUTH_VALUE

See Also:
  Constant Field Values

### GRANTED_AUTH_VALUE

    public static final int GRANTED_AUTH_VALUE

See Also:
  Constant Field Values

### BLOCKED_VALUE

    public static final int BLOCKED_VALUE

See Also:
  Constant Field Values

### POSTED_TEXT_VALUE

    public static final int POSTED_TEXT_VALUE

See Also:
  Constant Field Values

### POSTED_EMOTE_VALUE

    public static final int POSTED_EMOTE_VALUE

See Also:
  Constant Field Values

### POSTED_CONTACTS_VALUE

    public static final int POSTED_CONTACTS_VALUE

See Also:
  Constant Field Values

### POSTED_SMS_VALUE

    public static final int POSTED_SMS_VALUE

See Also:
  Constant Field Values

### POSTED_ALERT_VALUE

    public static final int POSTED_ALERT_VALUE

See Also:
  Constant Field Values

### POSTED_VOICE_MESSAGE_VALUE

    public static final int POSTED_VOICE_MESSAGE_VALUE

See Also:
  Constant Field Values

### POSTED_FILES_VALUE

    public static final int POSTED_FILES_VALUE

See Also:
  Constant Field Values

### POSTED_INVOICE_VALUE

    public static final int POSTED_INVOICE_VALUE

See Also:
  Constant Field Values

### HAS_BIRTHDAY_VALUE

    public static final int HAS_BIRTHDAY_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Message.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Message.Type c : Message.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Message.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Message.Type get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.